# Generated from eancom-2.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name eancom

Name: rubygem-%{gem_name}
Version: 2.0.0
Release: 1%{?dist}
Summary: EDIFACT Generator for the EANCOM Subset
License: MIT
URL: https://fadendaten.ch
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-remote)
# BuildRequires: rubygem(pry-nav)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(timecop)
BuildArch: noarch

%description
EDIFACT Generator for the EANCOM Subset.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.DS_Store
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/definitions
%{gem_libdir}
%{gem_instdir}/pricat.json
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/eancom.gemspec

%changelog
* Mon Aug 23 2021 mockbuilder - 2.0.0-1
- Initial package
